Bug 27310 - Wrong CSS float on 'Visibility' in framework edition
Summary: Wrong CSS float on 'Visibility' in framework edition
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL: /cgi-bin/koha/admin/marc_subfields_st...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-29 10:54 UTC by Fridolin Somers
Modified: 2021-02-11 22:32 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This fixes the display of the 'Visibility' label when editing subfields for a framework. The label is now aligned correctly with the other labels.
Version(s) released in:
21.05.00,20.11.02


Attachments
Screenshot without patch (12.97 KB, image/png)
2020-12-29 10:56 UTC, Fridolin Somers
Details
Bug 27310: Remove CSS float on 'Visibility' in framework edition (2.17 KB, patch)
2020-12-29 11:00 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 27310: Remove CSS float on 'Visibility' in framework edition (2.22 KB, patch)
2020-12-30 09:09 UTC, David Nind
Details | Diff | Splinter Review
Bug 27310: Remove CSS float on 'Visibility' in framework edition (2.28 KB, patch)
2021-01-02 17:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-12-29 10:54:45 UTC
In administration > framework edition > subfield edition, 'Visibility' label as a CSS rule float none.
This seems obsolete, removing it will align label like others.
Comment 1 Fridolin Somers 2020-12-29 10:56:35 UTC
Created attachment 114717 [details]
Screenshot without patch
Comment 2 Fridolin Somers 2020-12-29 11:00:01 UTC
Created attachment 114718 [details] [review]
Bug 27310: Remove CSS float on 'Visibility' in framework edition

In administration > framework edition > subfield edition, 'Visibility' label as a CSS rule float none.
This seems obsolete, removing it will align label like others.

Test plan :
1) Go to Administration
2) Edit any framework
3) Edit any subfield
4) Look at 'Visibility'
=> Without patch label is sticked to the left
=> With patch label postion is like others
Comment 3 David Nind 2020-12-30 09:09:41 UTC
Created attachment 114742 [details] [review]
Bug 27310: Remove CSS float on 'Visibility' in framework edition

In administration > framework edition > subfield edition, 'Visibility' label as a CSS rule float none.
This seems obsolete, removing it will align label like others.

Test plan :
1) Go to Administration
2) Edit any framework
3) Edit any subfield
4) Look at 'Visibility'
=> Without patch label is sticked to the left
=> With patch label postion is like others

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-12-30 09:11:15 UTC
Tested on Ubuntu 18.04 with Google Chrome, Firefox and Firefox Developer Edition. 

With the patch applied the Visibility are aligns nicely like all the other options.
Comment 5 Katrin Fischer 2021-01-02 17:54:46 UTC
Created attachment 114765 [details] [review]
Bug 27310: Remove CSS float on 'Visibility' in framework edition

In administration > framework edition > subfield edition, 'Visibility' label as a CSS rule float none.
This seems obsolete, removing it will align label like others.

Test plan :
1) Go to Administration
2) Edit any framework
3) Edit any subfield
4) Look at 'Visibility'
=> Without patch label is sticked to the left
=> With patch label postion is like others

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-01-02 17:55:10 UTC
Nice little patch, thx Frido!
Comment 7 Jonathan Druart 2021-01-04 13:11:00 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-01-07 13:57:48 UTC
Pushed to 20.11.x for 20.11.02
Comment 9 Andrew Fuerste-Henry 2021-01-11 21:22:24 UTC
Doesn't apply cleanly to 20.05, please rebase if needed
Comment 10 Fridolin Somers 2021-01-19 15:32:14 UTC
Its realy minor, I mark as resolved